#include "LvmSystem.h"
#include "utils/Device.h"


bool LvmSystem::supported(FSTabInfoList &fsTabInfoList)
{
    bool support = false;
    // TODO
    return support;
}

QString LvmSystem::getDefaultBackupDeviceUUID(const QString &rootPath)
{
    return m_defaultBackupDeviceUUID;
}

ErrorCode LvmSystem::systemBackup(const SystemBackupRequest &request)
{
    return InvalidDirectory;
}

ErrorCode LvmSystem::systemRestore(const SystemRestoreRequest &request)
{
    return InvalidDirectory;
}

ErrorCode LvmSystem::createUImg(const QString &backupDir)
{
    return InvalidDirectory;
}

BackupInfoList LvmSystem::listSystemBackup(QStringList &destUUIDs)
{
    BackupInfoList backupInfoList;
    return backupInfoList;
}

ErrorCode LvmSystem::removeSystemBackup(const RemoveUserDataBackupRequest &request)
{
    return OK;
}

ErrorCode LvmSystem::checkFullSystemBackupSpace(SystemBackupRequest &request)
{
    // TODO
    return OK;
}

ErrorCode LvmSystem::checkIncSystemBackupSpace(const SystemBackupRequest &request)
{
    // TODO
    return OK;
}
